<script setup lang="ts">
import { ReportService } from '@/services/report'
import BarChart from './charts/BarChart.vue'
import { onMounted, ref } from 'vue'
import type { ExpenseSum } from '../types/expense'
import ExpenseDetailBranch from './ExpenseDetailBranch.vue'

const expenseData = ref<ExpenseSum[]>()

onMounted(async () => {
  expenseData.value = await ReportService.getExpenseSum()
})
</script>

<template>
  <v-col cols="12">
    <v-row no-gutters>
      <h2>Expense</h2>
      <v-spacer></v-spacer>
    </v-row>
    <v-divider class="mt-2"></v-divider>
  </v-col>
  <v-col cols="12">
    <v-card class="pa-5" rounded="lg">
      <p>For each branches</p>
      <v-divider class="my-2"></v-divider>
      <BarChart
        :data="expenseData?.map((item) => item.totalWorth) ?? []"
        :labels="expenseData?.map((item) => item.branch) ?? []"
      ></BarChart>
    </v-card>
  </v-col>
  <v-col cols="12">
    <ExpenseDetailBranch></ExpenseDetailBranch>
  </v-col>
</template>
